-- View: idm_rpt_cfg.idmrpt_ms_ent_trust_v

DROP VIEW idm_rpt_cfg.idmrpt_ms_ent_trust_v;

CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_ms_ent_trust_v AS 
         SELECT idmrpt_ms_ent_trust.trustee_id, idmrpt_ms_ent_trust.ms_ent_trustee_identifier, idmrpt_ms_ent_trust.ms_ent_id, idmrpt_ms_ent_trust.ms_trust_id, idmrpt_ms_ent_trust.ms_ent_type_id, idmrpt_ms_ent_trust.trust_status, idmrpt_ms_ent_trust.ms_id, idmrpt_ms_ent_trust.idmrpt_valid_from, 'now'::text::date + 7305 + 'now'::text::time with time zone AS idmrpt_valid_to, idmrpt_ms_ent_trust.idmrpt_deleted, idmrpt_ms_ent_trust.idmrpt_syn_state
           FROM idm_rpt_data.idmrpt_ms_ent_trust
          WHERE idmrpt_ms_ent_trust.idmrpt_deleted = false AND idmrpt_ms_ent_trust.idmrpt_syn_state > 0
UNION ALL 
         SELECT idmrpt_ms_ent_trust_hist.trustee_id, idmrpt_ms_ent_trust_hist.ms_ent_trustee_identifier, idmrpt_ms_ent_trust_hist.ms_ent_id, idmrpt_ms_ent_trust_hist.ms_trust_id, idmrpt_ms_ent_trust_hist.ms_ent_type_id, idmrpt_ms_ent_trust_hist.trust_status, idmrpt_ms_ent_trust_hist.ms_id, idmrpt_ms_ent_trust_hist.idmrpt_valid_from, idmrpt_ms_ent_trust_hist.idmrpt_valid_to, idmrpt_ms_ent_trust_hist.idmrpt_deleted, 1 AS idmrpt_syn_state
           FROM idm_rpt_data.idmrpt_ms_ent_trust_hist;

ALTER TABLE idm_rpt_cfg.idmrpt_ms_ent_trust_v
  OWNER TO idmrptsrv;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_ms_ent_trust_v TO idmrptsrv;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_ms_ent_trust_v TO idmrptuser;
COMMENT ON VIEW idm_rpt_cfg.idmrpt_ms_ent_trust_v
  IS 'table that contains information about managed system entitlement assignments';